/[gentoo-x86]/gnome-extra/libgda/libgda-5.2.2.ebuild
Gentoo

Contents of /gnome-extra/libgda/libgda-5.2.2.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.8 - (show annotations) (download)
Sat Apr 18 08:08:07 2015 UTC (3 years, 3 months ago) by pacho
Branch: MAIN
CVS Tags: HEAD
Changes since 1.7: +2 -1 lines
yelp-tools needed at build time (#514320)

(Portage version: 2.2.18/cvs/Linux x86_64, signed Manifest commit with key A188FBD4)

1 # Copyright 1999-2015 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/gnome-extra/libgda/libgda-5.2.2.ebuild,v 1.7 2015/04/08 17:56:31 mgorny Exp $
4
5 EAPI="5"
6 GNOME2_LA_PUNT="yes"
7 GCONF_DEBUG="yes"
8 PYTHON_COMPAT=( python2_7 )
9 #VALA_MIN_API_VERSION="0.18"
10 #VALA_MAX_API_VERSION="0.18" # configure explicitly checks for 0.18
11 #VALA_USE_DEPEND="vapigen"
12
13 inherit autotools db-use eutils flag-o-matic gnome2 java-pkg-opt-2 python-single-r1 # vala
14
15 DESCRIPTION="GNOME database access library"
16 HOMEPAGE="http://www.gnome-db.org/"
17 LICENSE="GPL-2+ LGPL-2+"
18
19 IUSE="berkdb canvas firebird gtk graphviz http +introspection json ldap libsecret mdb mysql oci8 postgres reports sourceview ssl" # vala
20 REQUIRED_USE="
21 reports? ( ${PYTHON_REQUIRED_USE} )
22 canvas? ( gtk )
23 graphviz? ( gtk )
24 sourceview? ( gtk )
25 "
26 # firebird license is not GPL compatible
27
28 SLOT="5/4" # subslot = libgda-5.0 soname version
29 KEYWORDS="~alpha amd64 ~ia64 ~ppc ~ppc64 ~sparc x86 ~x86-fbsd"
30
31 RDEPEND="
32 app-text/iso-codes
33 >=dev-libs/glib-2.32:2
34 >=dev-libs/libxml2-2
35 dev-libs/libxslt
36 sys-libs/readline:=
37 sys-libs/ncurses:=
38 berkdb? ( sys-libs/db )
39 firebird? ( dev-db/firebird )
40 gtk? (
41 >=x11-libs/gtk+-3.0.0:3
42 canvas? ( x11-libs/goocanvas:2.0= )
43 sourceview? ( x11-libs/gtksourceview:3.0 )
44 graphviz? ( media-gfx/graphviz )
45 )
46 http? ( >=net-libs/libsoup-2.24:2.4 )
47 introspection? ( >=dev-libs/gobject-introspection-1.30 )
48 json? ( dev-libs/json-glib )
49 ldap? ( net-nds/openldap:= )
50 libsecret? ( app-crypt/libsecret )
51 mdb? ( >app-office/mdbtools-0.5:= )
52 mysql? ( virtual/mysql:= )
53 postgres? ( dev-db/postgresql:= )
54 reports? (
55 ${PYTHON_DEPS}
56 dev-java/fop
57 dev-python/reportlab )
58 ssl? ( dev-libs/openssl:= )
59 >=dev-db/sqlite-3.6.22:3=
60 "
61 # vala? ( dev-libs/libgee:0.8 )
62 DEPEND="${RDEPEND}
63 >=app-text/gnome-doc-utils-0.9
64 app-text/yelp-tools
65 dev-util/gtk-doc-am
66 >=dev-util/intltool-0.40.6
67 virtual/pkgconfig
68 java? ( virtual/jdk:1.6 )"
69 # vala? ( $(vala_depend) )
70
71 # FIXME: lots of tests failing. Check if they still fail in 5.1.2
72 # firebird support bindist-restricted because it is not GPL compatible
73 RESTRICT="test
74 firebird? ( bindist )"
75
76 pkg_setup() {
77 java-pkg-opt-2_pkg_setup
78 use reports && python-single-r1_pkg_setup
79 }
80
81 src_prepare() {
82 use berkdb && append-cppflags "-I$(db_includedir)"
83
84 use reports ||
85 sed -e '/SUBDIRS =/ s/trml2html//' \
86 -e '/SUBDIRS =/ s/trml2pdf//' \
87 -i libgda-report/RML/Makefile.{am,in} || die
88
89 # Prevent file collisions with libgda:4
90 epatch "${FILESDIR}/${PN}-4.99.1-gda-browser-doc-collision.patch"
91 epatch "${FILESDIR}/${PN}-4.99.1-control-center-icon-collision.patch"
92 # Move files with mv (since epatch can't handle rename diffs) and
93 # update pre-generated gtk-doc files (for non-git versions of libgda)
94 local f
95 for f in tools/browser/doc/gda-browser* ; do
96 mv ${f} ${f/gda-browser/gda-browser-5.0} || die "mv ${f} failed"
97 done
98 for f in tools/browser/doc/html/gda-browser.devhelp* ; do
99 sed -e 's:name="gda-browser":name="gda-browser-5.0":' \
100 -i ${f} || die "sed ${f} failed"
101 mv ${f} ${f/gda-browser/gda-browser-5.0} || die "mv ${f} failed"
102 done
103 for f in control-center/data/*_gda-control-center.png ; do
104 mv ${f} ${f/_gda-control-center.png/_gda-control-center-5.0.png} ||
105 die "mv ${f} failed"
106 done
107
108 eautoreconf
109 gnome2_src_prepare
110 java-pkg-opt-2_src_prepare
111 # use vala && vala_src_prepare
112 }
113
114 src_configure() {
115 gnome2_src_configure \
116 --with-help \
117 --disable-static \
118 --enable-system-sqlite \
119 $(use_with berkdb bdb /usr) \
120 $(use_with canvas goocanvas) \
121 $(use_with firebird firebird /usr) \
122 $(use_with graphviz) \
123 $(use_with gtk ui) \
124 $(use_with http libsoup) \
125 $(use_enable introspection) \
126 "$(use_with java java $JAVA_HOME)" \
127 $(use_enable json) \
128 $(use_with ldap) \
129 $(use_with libsecret) \
130 $(use_with mdb mdb /usr) \
131 $(use_with mysql mysql /usr) \
132 $(use_with oci8 oracle) \
133 $(use_with postgres postgres /usr) \
134 $(use_enable ssl crypto) \
135 $(use_with sourceview gtksourceview) \
136 --disable-default-binary \
137 --disable-vala
138 # vala bindings fail to build
139 }
140
141 pkg_preinst() {
142 gnome2_pkg_preinst
143 java-pkg-opt-2_pkg_preinst
144 }
145
146 src_install() {
147 gnome2_src_install
148 if use reports; then
149 for t in trml2{html,pdf}; do
150 python_scriptinto /usr/share/libgda-5.0/gda_${t}
151 python_doscript libgda-report/RML/${t}/${t}.py
152 done
153 fi
154 }

  ViewVC Help
Powered by ViewVC 1.1.20